<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useColumnStyles](./react.usecolumnstyles.md)

## useColumnStyles() function

<b>Signature:</b>

```typescript
export declare function useColumnStyles(clickable: boolean, separator: boolean): Partial<IDetailsColumnStyles>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  clickable | boolean |  |
|  separator | boolean |  |

<b>Returns:</b>

Partial&lt;IDetailsColumnStyles&gt;

